OpenTTD Source: StationSettings Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
StationSettings Struct Reference

Settings related to stations. More...

`#include <settings_type.h>`

## Data Fields
bool | modified_catchment
| different-size catchment areas
bool | serve_neutral_industries
| company stations can serve industries with attached neutral stations
bool | distant_join_stations
| allow to join non-adjacent stations
bool | never_expire_airports
| never expire airports
uint8_t | station_spread
| amount a station may spread

## Detailed Description

Settings related to stations.

Definition at line 564 of file settings_type.h.

## Field Documentation

## ◆ distant_join_stations

bool StationSettings::distant_join_stations

allow to join non-adjacent stations

Definition at line 567 of file settings_type.h.

Referenced by CmdBuildAirport(), CmdBuildDock(), CmdBuildRailStation(), CmdBuildRailWaypoint(), CmdBuildRoadStop(), CmdBuildRoadWaypoint(), and StationJoinerNeeded().

## ◆ modified_catchment

bool StationSettings::modified_catchment

different-size catchment areas

Definition at line 565 of file settings_type.h.

Referenced by AfterLoadGame(), ForAllStationsAroundTiles(), Station::GetCatchmentRadius(), GetTileCatchmentRadius(), BuildAirportWindow::OnPaint(), BuildDocksStationWindow::OnPaint(), BuildRailStationWindow::OnPaint(), and BuildRoadStationWindow::OnPaint().

## ◆ never_expire_airports

bool StationSettings::never_expire_airports

never expire airports

Definition at line 568 of file settings_type.h.

Referenced by InitializeGRFSpecial(), and AirportSpec::IsAvailable().

## ◆ serve_neutral_industries

bool StationSettings::serve_neutral_industries

company stations can serve industries with attached neutral stations

Definition at line 566 of file settings_type.h.

Referenced by AfterLoadGame(), ForAllStationsAroundTiles(), GetAcceptanceAroundTiles(), GetProductionAroundTiles(), PopulateStationsNearby(), and Station::RecomputeCatchment().

## ◆ station_spread

uint8_t StationSettings::station_spread

amount a station may spread

Definition at line 569 of file settings_type.h.

Referenced by BuildRailClick_Remove(), CanExpandRailStation(), CmdBuildAirport(), CmdBuildRailStation(), CmdBuildRailWaypoint(), CmdBuildRoadStop(), CmdBuildRoadWaypoint(), FindStationsNearby(), BuildRailStationWindow::OnPaint(), PlaceRail_Station(), PlaceRail_Waypoint(), PlaceRoad_BusStation(), PlaceRoad_TruckStation(), and PlaceRoad_Waypoint().

The documentation for this struct was generated from the following file:

- src/settings_type.h